tidy.table {broom} | R Documentation

## Tidy a(n) table object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'table'
    tidy(x, ...)

### Arguments

`x` | A table object.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Details

Directly calls `tibble::as_tibble()` on a table object, which does the same things as `as.data.frame.table()` but also gives the returned object tibble::tibble class.

### Value

A tibble::tibble in long-form containing frequency information for the table in a `Freq` column. The result is much like what you get from `tidyr::gather()`.

### See Also

`as_tibble.table()`

### Examples

    tab <- with(airquality, table(Temp = cut(Temp, quantile(Temp)), Month))
    tidy(tab)

[Package broom version 0.5.2 Index]